Bug 1418229 - [abrt] ibus-xkbc: main.py:24:<module>:ImportError: No module named ibus
Summary: [abrt] ibus-xkbc: main.py:24:<module>:ImportError: No module named ibus
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-xkbc
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:53e1121686ab8081dc29de56146...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 10:59 UTC by Heiko Adams
Modified: 2018-12-05 06:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-05 06:54:08 UTC


Attachments (Terms of Use)
File: backtrace (542 bytes, text/plain)
2017-02-01 10:59 UTC, Heiko Adams
no flags Details
File: environ (3.03 KB, text/plain)
2017-02-01 10:59 UTC, Heiko Adams
no flags Details

Description Heiko Adams 2017-02-01 10:59:36 UTC
Version-Release number of selected component:
ibus-xkbc-1.3.3.20100922-8.fc24

Additional info:
reporter:       libreport-2.8.0
cmdline:        python2.7 /usr/share/ibus-xkbc/engine/main.py --ibus
executable:     /usr/share/ibus-xkbc/engine/main.py
kernel:         4.9.6-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
main.py:24:<module>:ImportError: No module named ibus

Traceback (most recent call last):
  File "/usr/share/ibus-xkbc/engine/main.py", line 24, in <module>
    import ibus
ImportError: No module named ibus

Local variables in innermost frame:
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/share/ibus-xkbc/engine/main.py'
__package__: None
sys: <module 'sys' (built-in)>
getopt: <module 'getopt' from '/usr/lib64/python2.7/getopt.pyc'>
__name__: '__main__'
os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>
__doc__: None

Comment 1 Heiko Adams 2017-02-01 10:59:40 UTC
Created attachment 1246604 [details]
File: backtrace

Comment 2 Heiko Adams 2017-02-01 10:59:42 UTC
Created attachment 1246605 [details]
File: environ

Comment 3 Peng Wu 2017-02-03 06:47:54 UTC
ibus already support xkb now, please use the ibus built-in keyboard, thanks!

Comment 4 Fedora End Of Life 2017-11-16 14:46:00 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-27 16:18:49 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Peng Wu 2018-11-28 06:58:48 UTC
Currently we have ibus-xkb in ibus package, this package is not updated by upstream for a long time.

Maybe we should consider to retire this package.

Comment 7 Peng Wu 2018-12-05 06:54:08 UTC
Okay, retired ibus-xkbc package in rawhide.


Note You need to log in before you can comment on or make changes to this bug.